Unit Process;

Interface

 Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ShellAPI, Menus, MomokoCodeTrans, ComCtrls, StdCtrls;

 Type
  TMainWindow = Class(TForm)
    Momoko1: TMomoko;
    MainMenu1: TMainMenu;
    F1: TMenuItem;
    H1: TMenuItem;
    A1: TMenuItem;
    Q1: TMenuItem;
    StatusBar1: TStatusBar;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Memo1: TMemo;
    Memo2: TMemo;
    Button1: TButton;
    Button2: TButton;
    Memo3: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Procedure A1Click(Sender: TObject);
    procedure Q1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  Private
    { Private declarations }
  Public
    { Public declarations }
  End;

 Var
  MainWindow: TMainWindow;

Implementation

{$R *.dfm}

Procedure TMainWindow.A1Click(Sender: TObject);
 Begin
  ShellAbout(Handle, 'Floatsoft (R) Globalization Engine.', 'Copyright (C) 1992 - 2003 Floatsoft KeiAkira.', Icon.Handle);
 End;

Procedure TMainWindow.Q1Click(Sender: TObject);
 Begin
  Close;
 End;

Procedure TMainWindow.FormCreate(Sender: TObject);
 Begin
  PageControl1.ActivePage := TabSheet1;
 End;

Procedure TMainWindow.Button1Click(Sender: TObject);
 Var
  i, j: Integer;
  s: String;
  c: TFontCharset;
  n: TFontName;
 Begin
  Memo2.Clear;
  Momoko1.TranslateMode := tmShiftJIS;    // ָķģʽ
  i := Memo1.Lines.Count - 1;
  Momoko1.GetLanguageSettings(Japanese, c, n);
  // =================================================================
  // !!! ע !!! ȡַ޸ַ壬޸֣
  //  TCaption ʾڽϵ֣ϵͳİתһ룬
  // Ҫı緱תĽ
  // =================================================================
  Memo2.Font.Charset := c;
  Memo2.Font.Name := n;
  For j := 0 to i Do
   Begin
    s := Memo1.Lines[j];
    s := Momoko1.Translate(s);
    Memo2.Lines.Add(s);
   End;
 End;

Procedure TMainWindow.Button2Click(Sender: TObject);
 Var
  i, j: Integer;
  s: String;
  c: TFontCharset;
  n: TFontName;
 Begin
  Memo2.Clear;
  Momoko1.TranslateMode := tmBIG5;
  i := Memo1.Lines.Count - 1;
  Momoko1.GetLanguageSettings(Chinese_Taiwan, c, n);
  Memo2.Font.Charset := c;
  Memo2.Font.Name := n;
  For j := 0 to i Do
   Begin
    s := Memo1.Lines[j];
    s := Momoko1.Translate(s);
    Memo2.Lines.Add(s);
   End;
 End;

End.
